File: changelog

package info (click to toggle)
eclipse-debian-helper 1.8
  • links: PTS, VCS
  • area: main
  • in suites: bookworm, bullseye, sid
  • size: 60 kB
  • sloc: xml: 128; perl: 79; makefile: 2
file content (64 lines) | stat: -rw-r--r-- 2,160 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
eclipse-debian-helper (1.8) unstable; urgency=medium

  * Do not return an error if bundle.properties is missing at the install phase
  * Standards-Version updated to 4.5.0
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 05 Oct 2020 12:05:39 +0200

eclipse-debian-helper (1.7) unstable; urgency=medium

  * Generate a pom.xml file for the pomless bundles

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 17 Jul 2019 15:19:13 +0200

eclipse-debian-helper (1.6) unstable; urgency=medium

  * Mount the bundle dependencies before the default dependencies
    in the compilation classpath
  * Standards-Version updated to 4.4.0

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 11 Jul 2019 13:31:38 +0200

eclipse-debian-helper (1.5) unstable; urgency=medium

  * Improved the detection of the bundle name

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 26 Oct 2018 08:41:53 +0200

eclipse-debian-helper (1.4) unstable; urgency=medium

  * Team upload.
  * Support other bundle dirrectories than 'bundles' and the base directory

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Oct 2018 13:13:21 +0200

eclipse-debian-helper (1.3) unstable; urgency=medium

  * Add a symlink in /usr/lib/eclipse/plugins/ when installing a plugin
  * New parameter to set the shortname of a bundle

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 28 Sep 2018 00:21:02 +0200

eclipse-debian-helper (1.2) unstable; urgency=medium

  * Made the source encoding configurable
  * Standards-Version updated to 4.2.1

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 26 Sep 2018 14:31:08 +0200

eclipse-debian-helper (1.1) unstable; urgency=medium

  * Fixed the classpath when depending on other bundles
  * Include the resources from all source directories and not only src/
  * Set the source encoding to UTF-8 when compiling
  * Added eclipse-osgi.jar to the default classpath
  * Make the targeted Java release configurable

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 15 Aug 2018 23:57:04 +0200

eclipse-debian-helper (1.0) unstable; urgency=medium

  * Initial release (Closes: #903559)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 11 Jul 2018 13:25:11 +0200